import httputils from '@/api/httputils';

// 合同查询
export function queryContract({ postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/contract/query`, postParams)
}
// 合同新增/编辑
export function editContract({ postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/contract/save`, postParams)
}
// 查询空间组列表
export function querySpacegroup({ postParams}) {
    return httputils.postJson(`/duoduo-service/object-service/object/spacegroup/query`, postParams)
}
// 查询周报
export function queryWeek({ getParams}) {
    return httputils.getJson(`/duoduo-service/review-service/week/query`, getParams)
}
// 周报---14天逐日达标率及平均温度
export function queryWeekday({ postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/day/query`, postParams)
}
// 周报---空间环境温度不达标率（偏冷，偏热列表）
export function querySubstandardList({ postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/queryNoStandardList`, postParams)
}
// 周报---日逐刻平均温度及达标率
export function queryDay({postParams}) {
    // postParams.criteria.time={
    //     $gte:"060000",
    //     $lte:"200000"
    // }


    return httputils.postJson(`/duoduo-service/review-service/week/quarter/queryAvgTempComplianceRate`, postParams)
}
// 周报---各温度区间的空间数量
export function querysectionSpace({postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/day/queryTempSpaceRate`, postParams)
}
// 周报---各楼层平均温度及偏冷（热）空间数量
export function querysectionFloor({postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/day/queryFloorAvgTempSpaceRate`, postParams)
}
// 周报---各达标区间空间数量分布
export function queryStandardList({postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/queryStandardList`, postParams)
}
// 周报---环境温度分析
export function queryWeekSpace({postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/spaceType/query`, postParams)
}
// 周报---用户活跃度统计
export function queryUserActivity({postParams}) {
    return httputils.postJson(`/duoduo-service/duoduoenv-service/user/queryUserActivityStatistics`, postParams)
}
// 周报---环境温度分析 （时间维度） 逐刻
export function queryTempRate({postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/quarter/queryTempQuarterRate`, postParams)
}
// 解释保存
export function explainSave({ getParams}) {
    return httputils.getJson(`/duoduo-service/review-service/week/save`, getParams)
}
// 供冷供暖查询
export function querySeason({ getParams}) {
    return httputils.getJson(`/duoduo-service/custom-service/custom/getSeasonBySeasonDate`, getParams)
}
// 周报---合同与管控时间段
export function queryCustormList({postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/contract/queryCustormList`, postParams)
}
// 周报---新增时刻备注和类型备注
export function saveRemark({postParams}) {
    return httputils.postJson(`/duoduo-service/review-service/week/spaceType/save`, postParams)
}
// 邮箱信息查询
export function queryEmail({postParams}) {
    return httputils.postJson(`/duoduo-service/custom-service/email/query`, postParams)
}
// 邮箱新增/更新/删除
export function updateEmail({postParams}) {
    return httputils.postJson(`/duoduo-service/custom-service/email/replace`, postParams)
}
// 校验邮箱是否重复
export function checkEmail({postParams}) {
    return httputils.postJson(`/duoduo-service/custom-service/email/check`, postParams)
}
// 发送邮箱
export function passEmail({postParams}) {
    return httputils.postJson(`/duoduo-service/custom-service/email/sendEmail`, postParams)
}
// 周报---PM2d5各浓度区间累积时长及其占比
export function queryPm2d5({getParams}) {
    return httputils.getJson(`/duoduo-service/review-service/week/pm2d5/query`, getParams)
}
// 周报---week/query 周报周期查询
export function queryWeekNumberHttp({getParams}) {
    return httputils.getJson(`/duoduo-service/review-service/week/queryWeekPeriods`, getParams)
}
